Copyright: Copyright ® 1994 CK Softwareentwicklung


CKTBL.VBX Tabellen Control
CKTBL.VBX Table Control

Icon:

Description: This Windows Helpfile contains the CKTBL Version 1.52 Programmers Reference Manual.

Properties

Events

Methods


Copyright (c)  1994 CK Softwareentwicklung,  D-71131 Jettingen, Christian Kratzer. All rights reserved..

No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, wiuthout the express written permission of CK Softwareentwicklung.

Microsoft and Windows are registered trademarks of Microsoft-Corporation.

Visual Basic is a registered trademark of Microsoft-Corporation.


Eigenschaften (Properties)
Properties

This section of the Manual contains an alphabetical listing of the properties defined by CKTBL.

Please note the following abbreviations for common remarks in the property descriptions.

ACTION	Setting the property triggers an action..

ARRAY	Property is a property array.

RUNTIME	The property is available only at runtime.  It is not listed in the properties window of the development environment.

READWRITE	Value of property can be get and set at all times.

READONLY	Value of property is read only.

WRITEONLY	Value of property is write only.

About

Action

AddColumns

AddRows

AllowColResize

AllowColSel

AllowEdit

AllowEditColLabels

AllowEditRowLabels

AllowExtendedSel

AllowFullSel

AllowRowResize

AllowRowSel

AllowMultipleSel

AllowSel

AttributeScope

AutoRowHeight

BackColor

CellAlign

CellFormat

CellType

Clip

ClipColSep

ClipLineSep

ClipRowSep

Col

ColLabel

ColLabelStyle

ColScrollMode

ColWidth

CurrentSel

DefaultColWidth

DefaultRowHeight

EditText

EditTextNoVeto

FillStyle

Flags

FontBold

FontItalic

FontName

FontSize

FontStrikethru

FontUnderline

ForeColor

GridLines

Highlight

InEdit

LabelHeight

LabelWidth

LeftCol

NumberOfSel

RemoveColumns

RemoveRows

Row

RowHeight

RowHeightPreferred

RowLabel

RowLabelStyle

RowScrollMode

RowText

ScrollBars

SelStartCol

SelEndCol

SelStartRow

SelEndRow

Text

TopRow

Veto


ACTION	Setting the property triggers an action.


ARRAY	Property is a property array.


RUNTIME	The property is available only at runtime.  It is not listed in the properties window of the development environment.


READWRITE	Value of property can be get and set at all times.


READONLY	Value of property is read only.


WRITEONLY	Value of property is write only.


About Eigenschaft
About

Description:	Displays the CKTBL  "About" window in the development environemnt..

Usage:	Click the button in the properties window.


Action Eigenschaft
Action

Description:	Setting of this property triggers one of  the following actions.

Remarks:	ACTION, WRITEONLY, RUNTIME

Data Type:	Integer ( Enumeration)

Setting	Description

0	Edits the current cell. Triggers the  EditText Event.

1	Edits the current cell. Does NOT trigger the EditText Event.

2	Finishes editing the current cell. Saves edited text in current cell

3	Finishes editing the current cell. Discards edited text.

Usage:	[form.]table.Action [ = Value]


AddColumns, AddRows Eigenschaften
AddColumns, AddRows

Description:	Assign an integer n to AddColumns or AddRows to insert  n Columns or Rows after the current Row or Column. To insert Rows or Columns at the beginning of the table, assign 0 to the Row or Col property.

Remarks:	ACTION, RUNTIME, WRITEONLY

Data Type:	Integer

Usage:	[form.]table.AddColumns  = integer

[form.]table.AddRows =  integer

See also:	AddItem Method, RemoveItem Method,  RemoveRows,  RemoveCols


AllowColResize, #AllowRowResize Eigenschaften
AllowColResize, AllowRowResize

Description:	Enable adjusting column widths and row heights with the mouse.

Remarks:	READWRITE

Data Type:	Boolean

Default:	True

Usage:	[form.]table.AllowColResize [ = booleanexpression ]

[form.]table.AllowRowResize [ = booleanexpression ]

See also:	AdjustRowHeight, AdjustColWidth Events

Note: Use the  AdjustRowHeight or AdjustColWidth events to allow adjusting column widths or row heights on an individual basis.


AllowColSel, AllowRowSel Eigenschaften
AllowColSel, AllowRowSel

Description:	Enables selection of whole rows or columns by clicking on the row- or column label.

Remarks:	READWRITE

Data Type:	Boolean

Default:	True

Usage:	[form.]table.AllowColSel [ = booleanexpression ]

[form.]table.AllowRowSel [ = booleanexpression ]

See also:	AllowExtendedSel, AllowFullSel, AllowMultipleSel, AllowSel


AllowEdit Eigenschaft
AllowEdit

Description:	Enables editing of cells.

Remarks:	READWRITE

Data Type:	Boolean

Default:	True

Usage:	[form.]table.AllowEdit [ = booleanexpression ]

See also:	AllowEditColLabels, AllowEditRowLabels, EditColLabel event, EditRowLabel Event, EditText

Note: Use the EditText Event to individually disable editing of cells


AllowEditColLabels, AllowEditRowLabels Eigenschaften
AllowEditColLabels, AllowEditRowLabels

Description:	Enables editing of  column and row labels.

Remarks:	READWRITE

Data Type:	Boolean

Default:	 False

Usage:	[form.]table.AllowEditColLabels [ = booleanexpression ]

[form.]table.AllowEditRowLabels [ = booleanexpression ]

See also:	AllowEdit,  EditColLabel Event, EditRowLabel event, EditText event

Note: Use the EditColLabel and EditRowLabel events to individually disable editing of labels.


AllowExtendedSel Eigenschaft
AllowExtendedSel

Description:	Enables extending the selection beyond only one cell, one row or one column..

Remarks:	READWRITE

Data Type:	Boolean

Default:	True

Usage:	[form.]table.AllowExtendedSel [ = booleanexpression ]

See also:	AllowColSel, AllowRowSel, AllowFullSel, AllowMultipleSel, AllowSel

Note: If you set this property to false, you will not be able to select rectangular regions of cells.


AllowFullSel Eigenschaft
AllowFullSel

Description:	Enables selection of the complete table.

Remarks:	READWRITE

Data Type:	Boolean

Default:	True

Usage:	[form.]table.AllowFullSel [ = booleanexpression ]

See also:	AllowColSel, AllowRowSel, AllowExtendedSel, AllowMultipleSel, AllowSel


AllowMultipleSel Eigenschaft
AllowMultipleSel

Description:	Enable multiple selection using the Ctrl key.

Remarks:	READWRITE

Data Type:	Boolean

Default:	True

Usage:	[form.]table.AllowFullSel [ = booleanexpression ]

See also:	AllowColSel, AllowExtendedSel, AllowRowSel, AllowMultipleSel, AllowSel


AllowSel Eigenschaft
AllowSel

Description:	Enable selection of normal cells..

Remarks:	READWRITE

Data Type:	Boolean

Default:	True

Usage:	[form.]table.AllowSel [ = booleanexpression ]

Achtung: You need toset this property to true to be able to edit cells.


AttributeScope Eigenschaft
AttributeScope

Description:	Determines the scope of attribute changes. When you change properties like FontName or ForeColor the setting of AttributeScope specifies which cells are affected.  In the beginning all cells and all labels share a common set of attributes.  By setting the AttributeScope property to 0 or 1 you may change these common attributes. To change attibutes for a single cell or a selection set the AttributeScope property to 2 or 3.

Remarks:	READWRITE, RUNTIME

Attribute changes at design time affect the settings of the default cells.  If you want to set the attributes of  individual cells, you will have to do this at run time.  A good place to do this is the Form_Load event.

Note: Once you set the attribute of a cell or a label it will receive it´s own set of attributes.  This means that changing the common attributes (0 or 1) will not affect the cell any more.

Data Type:	Integer ( Enumeration )

Setting	Description

0	default cells ( cells which have not yet had their attributes changed )

1	default labels ( labels which have not yet had their attributes changed ).

2	current cell	( cell specified by Row and Col properties)

3	selection  ( all cells in the selection )

Default: 	0 - default cells	( design time )

3 - selection	( run time )

Usage:	[form.]table.AttributeScope [ = Value]

See also:	ForeColor, BackColor, CellFormat, CellAlign, CellType, FontName, FontSize, FontBold, FontItalic, FontStrikethru, FontUnderline,

Konstanten für AttributeScope


AutoRowHeight Eigenschaft
AutoRowHeight

Description:	Enables automatic recalculation of row heights when text is assigned to a cell.

Remarks:	READWRITE

Data Type:	Boolean

Default:	False

Usage:	[form.]table.AutoRowHeight [ = boolean ]

Sieh auch:	Text, Clip, RowText, RowLabel, ColLabel, RowHeightPreferred


BackColor Eigenschaft
BackColor

Description:	Changes the background color of the cells specified in the AttributeScope property.

Remarks:	READWRITE

Data Type:	Long

Default:	&H00FFFFFF& ( Weiß )

Usage:	[form.]table.BackColor [ = color ]

See also:	AttributeScope, ForeColor


CellAlign Eigenschaft
CellAlign

Description:	Changes the horizontal text alignment of the cells specified in the AttributeScope property.

Remarks:	READWRITE

Data Type:	Integer ( Enumeration)

Setting	Description

0	left aligned (default)

1	centered

2	right aligned

Usage:	[form.]table.CellAlign [ = Value]

See also:	AttributeScope, CellFormat, Kostanten für CellAlign


CellFormat Eigenschaft
CellFormat

Description:	Changes the format of the cells specified in the AttributeScope property.  The value is a combination of  flags from the CKTBL.TXT constants file.

Remarks:	READWRITE

Data Type:	Long

Settings:	Siehe Anhang

Usage:	[form.]table.CellFormat [ = value]

See also:	AttributeScope, CellAlign, CellType

Note: Most cell formats can be set more easily throught the CellAlign and CellType properties.  You should use the CellFormat property only for such formats that are not supported directly through the CellAlign and CellType properties.

Beispiel:

'Set all cells to multiline

' Enable a vertical scrollbar to the right of the cell

' Disable automatic adjustment of the cell height

Form1_Load()

  	Dim fmt As Long

Dim maskAll As Long

Dim mask As Long

Table1.AttributeScope = 0	'default cells

Table1.CellType = 1	'multiline

fmt = Table1.CellFormat

' disable vertical grow and shriknk

maskAll = &HFFFFFFFF&

mask = CKTBL_FMT_VGROW|CKTBL_FMT_VSHRINK

fmt = fmt AND (maskAll XOR mask)

' enable scrollbar

mask = CKTBL_VSCROLL

fmt = fmt OR mask

Table1.CellFormat = fmt

Table1.AttributeScope = 3	'selection

End Sub


CellType Eigenschaft
CellType

Description:	Changes the type of the cells specified in the AttributeScope property.

Remarks:	READWRITE

Data Type:	Integer ( Enumeration)

Setting	Description

0	singleline

1	multiline

2	multiline with word wrap

Usage:	[form.]table.CellType [ = value]

See also:	AttributeScope, CellAlign, CellFormat


Clip Eigenschaft
Clip

Description:	Determines the contents of the cells in the current selection. Rows and columns are separated by Tab (Chr$(9)) and Cr (Chr$(13)) characters.

When setting the clip property only cells in the selected region are affected.  Cells in the selected region that are not reached are cleared.

Remarks:	ACTION, RUNTIME, READWRITE

Data Type:	String

Usage:	[form.]table.Clip [ =  string ]

See also:	ClipColSep, ClipRowSep, CurrentSel, SelStartCol, SelEndCol, SelStartRow, SelEndRow, Text

Note: The row and column sepearator chanracters can be changed with the ClipRowSep andClipColSep properties..

Note: The string is limited to about 32000 characters.  If you want to load more data into the table, you may use the RowText property in a loop over all rows.

Beispiel:

' fills the cells in the selected region with useless data

s = ""

For r = 1 To Table1.Rows

For c = 1 To Table1.Cols

s = s & "Row: " & r & "Col:" & c

s = s & Chr$(9)	'Spalten Umbruch

Next c

s= s & Chr$(13)	'Zeilen Umbruch

Next r

Table1.Clip = s


ClipRowSep Eigenschaft
ClipRowSep

Description:	ANSI value of the row separator character for the Clip property.

Remarks:	READWRITE

Data Type:	Integer ( 0..255 )

Default:	13 ( Cr )

Usage:	[form.]table.ClipRowSep [ = number ]

See also:	ClipColSep, Clip


ClipColSep Eigenschaft
ClipColSep

Description:	ANSI value of the column separator character for the Clip and RowText properties.

Remarks:	READWRITE

Data Type:	Integer ( 0..255 )

Default:	9 ( Tab )

Usage:	[form.]table.ClipColSep [ = number ]

See also:	AddItem Methode, ClipRowSep, Clip, RowText


ClipLineSep Eigenschaft
ClipLineSep

Description:	Ansi value of the character used to delimit line breaks in cells in the AddItem Method and the RowText property.

Remarks:	READWRITE

The AddItem Method and the RowText property use the chracter specified in this property to mark line breaks inside cells. This allows file input and output of tables containing multiline cells. Use the Line Input and Print functions in conjunction with the AddItem Method and RowText property.  Set this property to -1 to deactivate this behavior.

Data Type:	Integer ( 0..255 or -1 )

Default:	5

Usage:	[form.]table.ClipColSep [ = number ]

See also:	AddItem Method,  RowText


Col, Row Eigenschaften
Col, Row

Description:	Determine the row and column of the current cell.  Rows and columns are numbered from 1 .. Rows or  1.. Cols respectively. The row and column labels an be addressed by setting either Row or Col to 0.

Remarks:	READWRITE

Data Type:	Integer

Settings:	Col  ::= ( 0 .. table.Cols )

Row ::= ( 0 .. table.Rows )

Usage:	[form.]table.Col [ = number ]

[form.]table.Row [ = number ]

See also:	Cols, Rows

Note: The indexes of rows and columns in CKTBL.VBX always start at 1.  The indexes in GRID.VBX start at 0. Remember to take this into account when porting from GRID.VBX.


ColLabel Eigenschaft
ColLabel

Description:	Determines the label of  column specified by index.

Remarks:	ARRAY, READWRITE, RUNTIME

Data Type:	String

Usage:	[form.]table.ColLabel(index) [ = string ]

See also:	RowLabel, Text


ColLabelStyle, RowLabelStyle Eigenschaften
ColLabelStyle, RowLabelStyle

Description:	Determines the default contents of the column and row labels.

Remarks:	READWRITE

Data Type:	Integer ( Enumeration)

Setting	Description

0 	 Empty (Labels exist but are empty)

1 	 Numeric (1,2,3,.... )

2 	 Characters ( A,B,...,Z,AA,AB,...  )

Usage:	[form.]table.ColLabelStyle [ = integer ]

[form.]table.RowLabelStyle [ = integer ]

See also:	LabelWidth, LabelHeight, Text, RowText

Note: Set the LabelWidth and. LabelHeight properties to 0 to hide the row or column labels.


Cols, Rows Eigenschaft
Cols, Rows

Description:	Determine the number of rows and columns in the table.

You may use these properties to change the dimensions of the table at runtime.

When growing or shrinking the table, rows and columns are added or removed at the end.  The contents and dimensions and attributes of the old/remaining cells and labels are not affected..

Remarks:	READWRITE

Data Type:	Integer

Settings:	1 .. 16384

Usage:	[form.]table.Cols [ = numericexpression ]

[form.]table.Rows [ = numericexpression ]

See also:	AddRows, AddColumns, Col, RemoveRows, RemoveColumns, Row

Note: The indexes of rows and columns in CKTBL.VBX always start at 1.  The indexes in GRID.VBX start at 0. Remember to take this into account when porting from GRID.VBX.


ColScrollMode, RowScrollMode Eigenschaft
ColScrollMode, RowScrollMode

Description:	Determines the range of the scrollbars for columns.

Remarks:	READWRITE

Data Type:	Integer ( Enumeration)

Setting	Description

0	Scrolling stops at the last row or column.

1	The user can scroll into a gray area after the last row or column.

Usage:	[form.]table.ColScrollMode [ = integer ]

[form.]table.RowScrollMode [ = integer ]

See also:	ScrollOver* Events


ColWidth Eigenschaft
ColWidth

Description:	Determines the width of the column specified by index.

Remarks:	ARRAY, READWRITE, RUNTIME

Data Type:	Long ( Twips )

Usage:	[form.]table.ColWidth(index) [ = numeric ]

See also:	RowHeight, LabelWidth


CurrentSel Eigenschaft
CurrentSel

Description:	Determines the index of the current selection when the user has selected multiple regions of cells.  The current selection is determined by the SelStartCol, SelEndCol, SelStartRow, SelEndRow properties.

Remarks:	READWRITE, RUNTIME

Data Type:	Integer

Settings:	1 .. table.NumberOfSel

Usage:	[form.]table.CurrentSel [ = numericexpression ]

See also:	AllowMultipleSel, NumberOfSel, SelStartCol, SelEndCol, SelStartRow, SelEndRow


DefaultColWidth, DefaultRowHeight Eigenschaft
DefaultColWidth, DefaultRowHeight

Description:	Default width and height of  the rows or columns. When changing these properties at runtime they apply to the rows and columns that are added to the table at a later time.  Already existing rows and columns are not affected.

Remarks:	READWRITE

Data Type:	Long ( Twips )

Usage:	[form.]table.DefaultColWidth  [ = numeric ]

[form.]table.DefaultRowWidth  [ = numeric ]

See also:	AddRows, AddCols, Rows, Cols, AddItem Methode


EditText Eigenschaft
EditText

Description:	Assign a string to this property to edit it in the current cell.

Remarks:	ACTION, WRITEONLY, RUNTIME

Data Type:	String

Usage:	[form.]table.EditText  = string

See also:	EditTextNoVeto,  EditText Event

Beispiel:

' edits Foo in the current cell

Table1.Row = 3

Table1.Col = 4

Table1.EditText = 'Foo'


EditTextNoVeto Eigenschaft
EditTextNoVeto

Description:	Assign a string to this property to edit it in the current cell. Does not trigger an EditText Event.

Remarks:	ACTION, WRITEONLY, RUNTIME

Data Type:	String

Usage:	[form.]table.EditTextNoVeto  = string

See also:	EditText, EditText Event


FillStyle Eigenschaft
FillStyle

Description:	Determines the cells affected when setting the  Text property..

Remarks:	READWRITE, RUNTIME

Setting	Description

0	current cell (default)

1	all selected cells

Usage:	[form.]table.FillStyle  [ = numeric ]

See also:	Text


Flags Eigenschaft
Flags

Description:	Sets the CKTBL flags. See the CKTBL.TXT file for documentation of the flags.

Remarks:	READWRITE

Data Type:	Long

Usage:	[form.]table.Flags  [ = numeric ]

See also:	AllowEdit, AllowEditColLabels, AllowEditRowLabels, AllowExtendedSel, AllowFullSel, AllowRowResize, AllowRowSel, AllowMultipleSel, AllowSel, GridLines, Highlight, ScrollBars

Note: There already exist properties for most flags so that you will normally not need the Flags property.


FontBold Eigenschaft
FontBold

Description:	Determines the bold attribute of the cells specified by the AttributeScope property.

Remarks:	READWRITE

Data Type:	Boolean

Usage:	[form.]table.FontBold  [ = boolean ]

See also:	AttributeScope, FontItalic, FontName, FontBold, FontSize, FontStrikethru, FontUnderline


FontItalic Eigenschaft
FontItalic

Description:	Determines the italic attribute of the cells specified by the AttributeScope property.

Remarks:	READWRITE

Data Type:	Boolean

Usage:	[form.]table.FontItalic  [ = boolean ]

See also:	AttributeScope, FontBold, FontName, FontBold, FontSize, FontStrikethru, FontUnderline


FontName Eigenschaft
FontName

Description:	Determines the name of the font in the cells specified by the AttributeScope property.

Remarks:	READWRITE

Data Type:	Boolean

Usage:	[form.]table.FontBold  [ = boolean ]

See also:	AttributeScope, FontBold, FontItalic, FontSize, FontStrikethru, FontUnderline


FontSize Eigenschaft
FontSize

Description:	Determines the fontsize of the cells specified by the AttributeScope property.

Remarks:	READWRITE

Data Type:	Float

Usage:	[form.]table.FontSize  [ = boolean ]

See also:	AttributeScope, FontBold, FontItalic, FontName, FontStrikethru, FontUnderline

Note: The size of the font can be set in 0,1 point increments.


FontStrikethru Eigenschaft
FontStrikethru

Description:	Determines the strikethru attribute of the cells specified by the AttributeScope property.

Remarks:	READWRITE

Data Type:	Boolean

Usage:	[form.]table.FontStrikethru [ = boolean ]

See also:	AttributeScope, FontBold, FontItalic, FontName, FontSize, FontUnderline


FontUnderline Eigenschaft
FontUnderline

Description:	Determines the underline attribute of the cells specified by the AttributeScope property.

Remarks:	READWRITE

Data Type:	Boolean

Usage:	[form.]table.FontUnderline [ = boolean ]

See also:	AttributeScope, FontBold, FontItalic, FontName, FontSize, FontStrikethru


ForeColor Eigenschaft
ForeColor

Description:	Determines the foreground color of the cells specified by the AttributeScope property.

Remarks:	READWRITE

Data Type:	Long

Default:	&H000000& ( Schwarz )

Usage:	[form.]table.ForeColor [ = color ]

See also:	AttributeScope, BackColor


GridLines Eigenschaft
GridLines

Description:	.Determines whether a grid is displayed.

Remarks:	READWRITE

Data Type:	Bool

Default:	True

Usage:	[form.]table.GridLines [ = bool ]

See also:	Flags


Highlight Eigenschaft
Highlight

Description:	Determines whether cells in the selection are highlighted.

Remarks:	READWRITE

Data Type:	Bool

Default:	True

Usage:	[form.]table.Highlight [ = bool ]

Beispiel:

Table1.Highlight = False	' highlight off

'relevanten Ausschnitt selektieren

Table1.SelStartCol = 2

Table1.SelEndCol = 6

Table1.SelStartRow = 1

Table1.SelEndRow = 6

Table1.AttributeScope = 3 	' selection

Table1.ForeColor = 255;	' red

Table1.NumberOfSel = 0	' remove selection

Table1.Highlight = True	 	' highlight on


InEdit Eigenschaft
InEdit

Description:	Is true when a cell or label is being edited.

Remarks:	READONLY, RUNTIME

Data Type:	Bool

Usage:	[form.]table.InEdit


LabelHeight Eigenschaft
LabelHeight

Description:	Determines the height of the labels  in Twips.  Set this property to 0 to disable the column labels.

Remarks:	READWRITE

Data Type:	Long ( Twips )

Usage:	[form.]table.LabelHeight [ = numeric ]

See also:	LabelWidth, ColWidth, RowHeight


LabelWidth Eigenschaft
LabelWidth

Description:	Determines the width of the labels  in Twips.  Set this property to 0 to disable the row labels.

Remarks:	READWRITE

Data Type:	Long ( Twips )

Usage:	[form.]table.LabelWidth [ = numeric ]

See also:	LabelHeight, ColWidth, RowHeight


LeftCol Eigenschaft
LeftCol

Description:	Determines the index of the leftmost visible column.

Remarks:	READWRITE, RUNTIME

Data Type:	Integer

Usage:	[form.]table.LeftCol  [ =  numeric ]

See also:	TopRow

Note: Use this property to scroll the table.


NumberOfSel Eigenschaft
NumberOfSel

Description:	Determines the numer of selections.  Set this property to NumberOfSel+1. Assign 0 to this property to remove all selections.

Remarks:	READWRITE, RUNTIME

Data Type:	Integer

Settings:	Read: 0 .. table.NumberOfSel

Write: 0 oder table.NumberOfSel + 1

Usage:	[form.]table.NumberOfSel  [ =  numeric ]

See also:	AllowMultipleSel, CurrentSel, SelStartCol, SelEndCol, SelStartRow, SelEndRow


RemoveColumns, RemoveRows Eigenschaft
RemoveColumns, RemoveRows

Description:	Assign an integer n to RemoveColumns or RemoveRows to delete  n columns or rows starting at the current row or column.

Remarks:	ACTION, WRITEONLY, RUNTIME

Data Type:	Integer

Default:	True

Usage:	[form.]table.TopRow  [ =  numeric ]

See also:	AddColumnsAddRows


RowHeight Eigenschaft
RowHeight

Description:	Determines the height of a row in twips.

Remarks:	ARRAY, READWRITE, RUNTIME

Data Type:	Long (Twips)

Default:	True

Usage:	[form.]table.RowHeight( index )  [ =  numeric ]

See also:	DefaultRowHeight, RowHeightPreferred


RowHeightPreferred Eigenschaft
RowHeightPreferred

Description:	Can be used to enquire the preferred height of a row. Fonts and multiline cells are taken into account.  You may directly assign the result from RowHeighPreferred to the RowHeight property to update line heights if you are not using the AutoRowHeight property.

Remarks:	ARRAY, READWRITE, RUNTIME

Data Type:	Integer

Default:	True

Usage:	[form.]table.RowHeightPreferred( Index )

See also:	AutoRowHeight, RowHeight, LabelHeight


RowLabel Eigenschaft
RowLabel

Description:	Determines the label of the row specified by index.

Remarks:	ARRAY, READWRITE, RUNTIME

Data Type:	String

Usage:	[form.]table.RowLabel(Index) [ = string ]

See also:	ColLabel, Text


RowText Eigenschaft
RowText

Description:	Determines the contents of a row of cells as a string.  Columns are separatd with Chr$(ClipColSep).  Line breaks in multiline cells are separated with Chr$(ClipLineSep).

Remarks:	ARRAY, READWRITE

Data Type:	String

Usage:	[form.]table.RowText( Index ) [ = string ]

See also:	AddItem Methode, Clip, ClipColSep, ClipLineSep

Note: You may use this property to do file/io in conjunction with the Line Input and Print commands.


ScrollBars Eigenschaft
ScrollBars

Description:	Determines the display of scrollbars.

Remarks:	READWRITE

Data Type:	Integer ( Enumeration)

Setting	Description

0 	 No scrollbars

1 	 Horizontal scrollbars only.

2 	 Vertical scrollbars only.

3 	 Horizontal and vertical scrollbars.

Default: 	3 - Horizontal and vertical scrollbars.

Usage:	[form.]table.ScrollBars  [ =  numeric ]

See also:	Flags


SelStartCol, SelEndCol, SelStartRow, SelEndRow Eigenschaften
SelStartCol, SelEndCol, SelStartRow, SelEndRow

Description:	Detemine the limits of the current selection specified in the CurrentSel property. The selection includes the columns from SelStartCol to SelEndCol and the rows from SelStartRow to SelEndRow. Assign 0 to SelStartCol or SelStartRow to select an entire column or row.

Remarks:	READWRITE, RUNTIME

Data Type:	Integer

Settings:	SelStartCol  	0 .. Cols	( 0 ::= entire column )

SelStartRow  	1 .. Cols

SelEndCol  	0 .. Rows	( 0 ::= entire row )

SelEndRow  	1 .. Rows

Usage:	[form.]table.SelStartCol  [ =  numeric ]

[form.]table.SelStartRow  [ =  numeric ]

[form.]table.SelEndCol  [ =  numeric ]

[form.]table.SelEndRow  [ =  numeric ]

See also:	CurrentSel, Highlight, NumberOfSel

Note: When using selections to load data or set attributes you may use the Highlight property to make the selections invisible for the duration of the operation.


Text Eigenschaft
Text

Description:	Determines the contents of the current cell (specified by the Row and Column properties). To set the contents of all cells in the selection set the FillStyle property to 1.

Remarks:	READWRITE, RUNTIME

Data Type:	String

Usage:	[form.]table.Text  [ =  string ]

See also:	Row, Col, Clip, FillStyle


TopRow Eigenschaft
TopRow

Description:	Determines the index of the topmost visible row.

Remarks:	READWRITE, RUNTIME

Data Type:	Integer

Usage:	[form.]table.TopRow  [ =  numeric ]

See also:	LeftCol

Note: Use this property to scroll the table.


Veto Eigenschaft
Veto

Description:	Set this property to True in an event procedure to Veto the completion of event specific activities. See the descriptions of the respective events for detailed information.

Remarks:	WRITEONLY, RUNTIME

Data Type:	Boolean

Usage:	[form.]table.Veto = True

See also:	AdjustColWidth Event, AdjustRowHeight Event, ChangeColLabel Event, ChangeColWidth Event, ChangeRowLabel Event, ChangeRowHeight Event, ChangeText Event, EditColLabel Event, EditRowLabel_Event, EditText  Eventse


Ereignisse (Events)

This section contains descriptions of the events triggered by CKTBL.  Some of the events carry out additional actions that can be cancelled by setting the Veto property to true in the respective event procedures.  See the veto section in the event descriptions for more detailed information.

AdjustColWidth

AdjustRowHeight

ChangeColLabel

ChangeColWidth

ChangeRowLabel

ChangeRowHeight

ChangeText

ClickedCell

ClickedCol

ClickedRow

DoubleClickedCell

DoubleClickedCol

DoubleClickedRow

EditCancelled

EditColLabel

EditRowLabel

EditText

KeyDown

KeyPressed

KeyUp

MouseDown

MouseMove

MouseUp

RowColChange

SelChange

ScrollOverFirstCol

ScrollOverFirstRow

ScrollOverLastCol

ScrollOverLastRow


AdjustColWidth Ereignis
AdjustColWidth Event

Description:	Is triggered when the mouse is in the column labels between two columns..

Veto:	Setting the veto property to true disallows adjusting the column widths.

Syntax:	Sub Table_AdjustColWidth( Col As Integer )

See also:	AdjustRowHeight,  AllowRowResize, AllowColResize,  ChangeColWidth Event, ChangeRowHeight Event, Veto

Note: You must set the AllowColResize property to true, in order for this event to be triggered.


AdjustRowHeight Ereignis
AdjustRowHeight Event

Description:	Is triggered when the mouse is in the row labels between to two rows.

Veto:	Setting the Veto property to true disallows adjusting the row heights.

Syntax:	Sub Table_AdjustRowHeight( Row As Integer )

See also:	AdjustColWidth, AllowRowResize, AllowColResize Property,  ChangeColWidth Event, ChangeRowHeight Event, Veto

Note: You must set the AllowRowResize property to true, in oder for this event to be triggered.


ChangeColLabel, ChangeRowLabel Ereignisse
ChangeColLabel, ChangeRowLabel Events

Description:	Are triggered when the user has finished editing a column or row label. Are not triggered if the user pressed Esc.

Veto:	Setting the Veto property to true preserves the original unedited cell contents.

Syntax:	Sub Table_ChangeColLabel( Col As Integer, Text As String )

Sub Table_ChangeRowLabel( Row As Integer, Text As String  )

See also:	AdjustRowHeight Event,  AllowColResize, Veto


ChangeColWidth Ereignis
ChangeColWidth Event

Description:	Is triggered when the user releases the mouse button after changing the width of a column.

Veto:	Setting the veto property to true preserves the original column width. Neither will the new width be distributed to other selected columns.

Syntax:	Sub Table_ChangeColWidth( Col As Integer, w As Long )

See also:	AdjustRowHeight Event,  AllowColResize


ChangeRowHeight Ereignis
ChangeRowHeight Event

Description:	Is triggered when the user releases the mouse button after changing the height of a row..

Veto:	Setting the veto property to true preserves the original row height. Neither will the new height be distributed to other selected rows.

Syntax:	Sub Table_ChangeRowHeight( Row As Integer, h As Long )

See also:	AdjustRowHeight Event,  AllowColResize


ChangeText Ereignis
ChangeText Event

Description:	Is  triggered when the user has finished editing a cell. Is not triggered if the user pressed Esc.

Veto:	Setting the Veto property to true preserves the original unedited cell contents.

Syntax:	Sub Table_ChangeText( Row As Integer, Col As Integer, 	NewText As Integer )

See also:	ChangeColLabel Event, ChangeRowLabel Event


EditCancelled Ereignis
EditCancelled Event

Description:	Is triggered when the user pressed Esc while editing a cell.  The cell is left in the original unedited state.

Syntax:	Sub Table_EditCancelled( Col As Integer, Text As String )

See also:	Action, ChangeText Event, ChangeColLabel Event, ChangeRowLabel Event, EditText Event


EditColLabel, EditRowLabel  Ereignisse
EditColLabel, EditRowLabel Events

Description:	Is triggered when the user tries to edit a row or column label.

Veto:	Setting the veto property to true inhibits editing of the label.

 Syntax:	Sub Table_EditColLabel( Col As Integer, Text As String )

Sub Table_EditRowLabel( Row As Integer, Text As String  )

See also:	AdjustRowHeight Event,  AllowColResize, Veto, EditText Event


EditText Ereignis
EditText Event

Description:	Is triggered when the user tries to edit a cell.

Veto:	Setting the Veto property to true inhibits editing the cell.

Syntax:	Sub Table_AdjustColWidth( Col As Integer )

See also:	AdjustRowHeight Event,  AllowColResize,  EditColLabel Event,  EditRowLabel Event


RowColChange Ereignis
RowColChange Events

Description:	Is triggered when the current row or column has been changed.

Syntax:	Sub Table_RowColChange()

See also:	SelChange_Event


SelChange Ereignis
SelChange Event

Description:	Is triggered when the selection has changed.

Syntax:	Sub Table_SelChange( Col As Integer )

See also:	RowColChange Event


ScrollOver* Ereignisse
ScrollOver* Events

Description:	Are triggered when the user tries to scroll over the bounds of the table.  You may use these events to dynamically add more rows or columns to the table when the user requires them.

Syntax:	Sub Table_ScrollOverFirstCol()

Sub Table_ScrollOverFirstRow()

Sub Table_ScrollOverLastCol()

Sub Table_ScrollOverLastRow()

See also:	ColScrollMode, RowScrollMode

Beispiel:

Sub Table1_ScrollOverLastRow()

' Add more rows at the end of the table

Table1.AddItem ""

End Sub


Methoden (Methods)
Methods

This section describes the methods implemented by CKTBL. Visual Basic standard methods are not discussed here.

AddItem

Clear

Drag

Move

Referesh

RemoveItem

SetFocus

ZOrder


AddItem Methode
AddItem Method

Description:	Adds a new to the table.  The labels of the new rows are set according the current setting of the RowLabelStyle property. Columns are separated by Chr$(ClipColSep). Line breaks in multiline cells are separated by Chr$(ClipLineSep).  For a more detailed description of this behavior see the description of the RowText property.

Syntax:	[form].table.AddItem( string As String )

[form].table.AddItem( string As String, index As Integer )

See also:	AddRows Property, AddColumns

Note: Use the AddRows and AddColumns properties to add multiple rows or columns at a time.


Clear Methode
Clear Method

Description:	Clears text and attributes of all cells and labels.  Labels revert to the settings defined in the RowLabelStyle and ColLabelStyle properties.

Syntax:	[form].table.Clear()

See also:	RemoveColumns, RemoveRows


RemoveItem Methode
RemoveItem Method

Description:	Removes the row specified by index from the table.

Syntax:	[form].table.RemoveItem( index As Integer )

See also:	RemoveColumns, RemoveRows

Note: Use the RemoveRows and RemoveColumns properties to remove multiple rows or columns at a time.